/* 
Theme Name: GOsome 
Theme URI: https://gosome.fi
Description: GOsomen lapsiteema Elementorin Hello teemalle.
Author: GOsome
Author URI: https://gosome.fi
Template: hello-elementor
Version: 3.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

/* Template defaults */

@media all and (min-width: 1921px) {
  body {
    max-width: 1920px;
    margin: 0 auto;
  }
}

body {
  word-break: break-word;
}

a {
  color: inherit;
}

a.elementor-button, .menu-item a, a.elementor-toggle-title{
	text-decoration: none!important;
}

a.elementor-toggle-title{
  line-height:1.4em;
}

/* Globals */

dd,
dl,
dt,
li,
ol,
ul {
  margin-block-end: 0.9rem;
}

ol, ul {
    padding-left: 20px;
}

blockquote {
    border-left: 2px solid var(--e-global-color-5fc6c9d);
    padding-left: 20px;
    margin-left: 0;
	margin-right: 0;
}

.gs-zero-p {
  margin-block-end: 0;
}

.gs-zero-p p:last-child {
  margin-bottom: 0;
}

.gs-toggle .elementor-toggle .elementor-tab-title {
  border-radius: 50px;
  border-bottom: 0;
}

#gs-row-form fieldset {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

#gs-row-form .gs-row-form-field {
  flex-grow: 1;
  padding-right: 24px;
}

@media all and (max-width: 400px) {
  #gs-row-form fieldset {
    flex-direction: column;
  }

  #gs-row-form .gs-row-form-field {
    padding-right: 0;
    width: 100%;
    display: flex;
    justify-content: flex-start;
  }
}

@media all and (min-width: 1025px) {
  .gs-fixed-right {
    bottom: 20px !important;
  }
}

.gs-filter-width-fix .elementor-post__thumbnail.elementor-fit-height img {
  width: 100% !important;
}

.gs-highlight-text {
  color: var(--e-global-color-5fc6c9d);
}

a.gs-text-underline-link {
  text-decoration: underline;
}

.gs-process-ol {
  list-style: none;
  counter-reset: process-counter;
  padding-left: 20px;
}

.gs-process-ol li::before {
  counter-increment: process-counter;
  content: counter(process-counter);
  width: 40px;
  height: 40px;
  background: var(--e-global-color-5fc6c9d);
  color: #fff;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
  position: absolute;
  left: 0;
}

.gs-process-ol li {
  padding-left: 40px;
  border-left: 2px solid var(--e-global-color-5fc6c9d);
  margin-bottom: 0;
  padding-bottom: 20px;
}

.gs-process-ol li:last-child {
  border-left: 0;
}

/* Menu */

.gs-menu-contact-btn.menu-item a.elementor-item {
  border-radius: 50px;
  border: 1px solid var(--e-global-color-144f49a);
  padding: 8px 20px !important;
  transition: 0.3s ease-in-out;
  margin-left: 10px !important;
  margin-right: 0px !important;
}

.gs-menu-contact-btn.menu-item a.elementor-item:hover {
  background: var(--e-global-color-a783bb0);
  color: var(--e-global-color-text) !important;
}

.gs-menu-kartoitus-btn.menu-item a.elementor-item {
  border-radius: 50px !important;
  border: 1px solid var(--e-global-color-144f49a);
  padding: 8px 20px !important;
  transition: 0.3s ease-in-out;
  background: var(--e-global-color-5fc6c9d);
  color: var(--e-global-color-89bc7c2);
  border-color: var(--e-global-color-5fc6c9d);
  margin-left: 10px !important;
}

.gs-menu-kartoitus-btn.menu-item a.elementor-item:hover {
  background: var(--e-global-color-a0aa9b8);
  border-color: var(--e-global-color-a0aa9b8);
  color: var(--e-global-color-89bc7c2) !important;
}

.gs-subheading-prefix::before {
  content: "";
  position: absolute;
  left: 0;
  font-size: inherit;
  width: 20px;
  height: 2px;
  background: var(--e-global-color-5fc6c9d);
  top: 25%;
}



/* Menu linkit mahtumaaan pienelle deskarinäytölle */

@media all and (min-width: 1025px) and (max-width: 1280px){
  .gs-menu-home.menu-item{
    display:none!important;
  }
}

@media all and (min-width: 1025px) and (max-width: 1180px){
  .gs-menu-contact-btn.menu-item{
    display:none!important;
  }
}
/*
@media all and (min-width: 1025px) and (max-width: 1220px) {
  .gs-menu a.elementor-item {
    font-size: 14px !important;
    padding-left: 4px !important;
    padding-right: 4px !important;
  }
}*/

@media all and (max-width: 1024px) {
  .gs-menu-contact-btn.menu-item a.elementor-item,
  .gs-menu-kartoitus-btn.menu-item a.elementor-item {
    display: inline-block;
    margin-bottom: 20px;
  }

  .gs-menu-contact-btn.menu-item a.elementor-item {
    margin-top: 10px;
  }
}

/* Footer */

.gs-footer #gs-row-form .ff-el-group {
  margin-bottom: 0;
}

@media all and (max-width: 768px) {
  #gs-row-form fieldset {
    flex-direction: column;
  }
}

/* Etusivu */

.gs-form-contact-submit-btn button::after {
  content: "Et sitoudu mihinkään.";
  width: 100%;
  font-size: 12px;
  color: #000;
  position: absolute;
  left: 0;
  bottom: -30px;
  text-align: right;
  top: 65px;
}

@media all and (min-width: 1025px) and (max-width: 1315px) {
  .home .gs-hero-img {
    width: 35% !important;
    max-width: 35% !important;
  }
}

@media all and (min-width: 1025px) and (max-width: 1100px) {
  .home .gs-hero h1 {
    font-size: 42px !important;
  }
}

.gs-year-btn .elementor-button-content-wrapper {
  justify-content: space-between !important;
}

.gs-year-btn .elementor-button-content-wrapper i {
  color: #020101;
  font-size: 16px;
}

/* Ota yhteyttä */

.page-id-8829 .gs-menu-contact-btn a {
  background: var(--e-global-color-a783bb0);
  color: var(--e-global-color-text) !important;
}

/* Maksuton kartoitus */

.page-id-8831 .gs-menu-kartoitus-btn a {
  background: var(--e-global-color-a0aa9b8) !important;
  border-color: var(--e-global-color-a0aa9b8);
  color: var(--e-global-color-89bc7c2) !important;
}

/* Tietosuojaseloste */

#gs-tietosuojaseloste h4 {
  margin-top: 40px;
}

/* Single post */

.wp-block-heading {
  padding-bottom: 10px;
  padding-top: 10px;
}

.single-post .elementor-widget-theme-post-content img {
  border-style: solid;
  border-width: 2px 2px 2px 2px;
  border-color: var(--e-global-color-5fc6c9d);
  border-radius: 32px 32px 32px 32px;
  padding: 10px;
  margin: 10px 0;
}

.single-post
  .elementor-widget-theme-post-content
  .wp-block-button:hover
  .wp-block-button__link {
  color: #fff;
}

.single-post .elementor-widget-theme-post-content .wp-block-button:hover {
  opacity: 0.8;
  transition: 0.3s ease-in-out;
}


/*Arvostelut - social proof*/

.gs-review-container {
    display: flex;
    align-items: center;
}

.gs-review-container .profile-images {
    display: flex;
}

.gs-review-container .profile-image {
    border-radius: 50%;
    width: 45px;
    height: 45px;
    margin-right: -7px;
    border-radius:100%;
    border: 3px solid var(--e-global-color-2534e34);
}

.gs-review-container .profile-image:last-child {
    margin-right: 0;
}

.gs-review-container .review-rating {
    display: flex;
    flex-direction:column;
    align-items: center;
    margin-left: 6px;
}

.gs-review-container .stars-container {
  display: flex;
}

.gs-review-container .star-image {
    width: 20px;
    height: 20px;
    margin-right: 2px;
}

.gs-review-container .star-image:first-child {
    margin-left: 6px;
}

.gs-review-container .star-image:last-child {
    margin-right: 0;
}

.gs-review-container .review-text {
    margin-left: 5px;
    font-size: 14px;
    color: #666;
}
